gnutls_record_send2(3)

NAME
gnutls_record_send2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

ssize_t gnutls_record_send2(gnutls_session_t session, const void * data, size_t data_size, size_t pad, unsigned flags);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

const void * data
    contains the data to send

size_t data_size
    is the length of the data

size_t pad
    padding to be added to the record

unsigned flags
    must be zero

DESCRIPTION
This function is identical to gnutls_record_send() except that it takes an extra argument to specify padding to be added the record. To determine the maximum size of padding, use gnutls_record_get_max_size() and gnutls_record_overhead_size(). Note that in order for GnuTLS to provide constant time processing of padding and data in TLS1.3, the flag GNUTLS_SAFE_PADDING_CHECK must be used in gnutls_init().

RETURNS
The number of bytes sent, or a negative error code. The number of bytes sent might be less than data_size . The maximum number of bytes this function can send in a single call depends on the negotiated maximum record size.

SINCE
3.6.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/